
QGIS Application - Bug report #3162

GRASS raster display inaccurate

2010-10-28 09:28 AM - grasslandtom -

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: SuSE Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13222

Description

A GRASS raster displayed in QGIS changes it's position relative to other layers when the map is moved with the mouse. I see this while

doing the following:

_ in QGIS: add a GRASS polygon vector layer (let's call it poly)

_ in GRASS: @v.to.rast poly use=cat out=poly_rast'

_ in QGIS: add GRASS raster layer poly_rast

_ now move the map around with the mouse and watch the coloured areas of raster cells move around within the polygons they were

made of.

I have the same polygon in [[PostGIS]]. When I add this too, the two vectors do not move relative to each other. So seems to be the raster

which is displayed inaccurately. In my case it shifts several meters within a Gauß-Krüger (Zone 4) projection. The raster cell-size is 2 m.

History

#1 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 09:25 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

- Subject changed from GRASS raster display inaccurat to GRASS raster display inaccurate

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-06-26 02:10 AM - Tomas Brunclik

I can confirm this issue still present in QGIS 1.8.0 RC1 on Linux, and in various 1.7 and 1.8 versions on Windows and Mac OSX. The shift between GRASS

raster and any other type of map layer is usually within 30m when working with Landsat data (30m resolution). But it still means, that if you place a point in

the map, you could not be sure over which pixel it was placed in reality, which makes many types raster analysis (like sampling raster values at point

locations, supervised classification) unusable or less precise. In projects with 1m raster resolution I observed shift of several pixels. Maybe the extent of the

shift is independent on the raster/region resolution?

The issue is not present in GRASS, if run standalone, or if you start GRASS interface from within the QGIS using GRASSS shell.
#5 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2016-02-22 11:50 AM - Radim Blazek

- Resolution set to worksforme

- Status changed from Open to Closed

I am not observing any shift between vectors and rasters. 

Please reopen if necessary.
